<?php

use CRM_Simpleorders_ExtensionUtil as E;

class CRM_Simpleorders_BAO_SoOrderItem extends CRM_Simpleorders_DAO_SoOrderItem {

  /**
   * Method to get the quantity for an order item
   * @param int $soOrderItemId
   * @return int
   */
  public function getSoOrderItem(int $soOrderItemId): array {
    $data = [];
    try {
      $soOrderItem = \Civi\Api4\SoOrderItem::get(FALSE)
        ->addSelect('id', 'item_id', 'quantity', 'item_id.name')
        ->addWhere('id', '=', $soOrderItemId)
        ->execute()->first();
      if (isset($soOrderItem['id'])) {
        $data = $soOrderItem;
      }
    }
    catch (\CRM_Core_Exception $ex) {
    }
    return $data;
  }

  /**
   * Method to create a new order item
   *
   * @param array $values
   * @return void
   */
  public function createSoOrderItem(array $values): void {
    try {
      \Civi\Api4\SoOrderItem::create(FALSE)
        ->addValue('order_id', $values['so_order_id'])
        ->addValue('item_id', $values['item_id'])
        ->addValue('quantity', $values['quantity'])
        ->execute();
    }
    catch (\CRM_Core_Exception $ex) {
    }
  }

  /**
   * Method to update an order item
   *
   * @param int $soOrderItemId
   * @param array $values
   * @return void
   */
  public function updateSoOrderItem(int $soOrderItemId, array $values): void {
    try {
      \Civi\Api4\SoOrderItem::update(FALSE)
        ->addWhere('id', '=',  $soOrderItemId)
        ->addValue('quantity', $values['quantity'])
        ->execute();
    }
    catch (\CRM_Core_Exception $ex) {
    }
  }

}
