<?php
use CRM_Simpleorders_ExtensionUtil as E;

/**
 * Collection of upgrade steps.
 */
class CRM_Simpleorders_Upgrader extends \CRM_Extension_Upgrader_Base {

  /**
   * Generate option group after install
   */
  public function postInstall(): void {
    $this->addOptionGroups();
  }

  /**
   * Method to create option groups and values if not existing
   *
   * @return void
   */
  public function addOptionGroups(): void {
    $optionGroups = [
      "so_item_type" => [
        'title' => "Item Type (Simple Orders)",
        'values' => [
          "digital" => E::ts("Digital"),
          "physical" => E::ts("Physical"),
        ]
      ],
      "so_contact_role" => [
        'title' => "Contact Role (Simple Orders)",
        'values' => [
          "order" => E::ts("Placed by"),
          "behalf" => E::ts("On behalf of"),
        ]
      ],
    ];
    $og = new Civi\Simpleorders\OptionGroup();
    foreach ($optionGroups as $optionGroupName => $optionGroupData) {
      if (!$og->isExistingOptionGroup($optionGroupName)) {
        $og->createOptionGroup($optionGroupName, $optionGroupData);
      }
      if ($optionGroupData['values']) {
        $og->createOptionValues($optionGroupName, $optionGroupData['values']);
      }
    }
  }

}
