<?php
namespace Civi\Api4;
use CRM_Simpleorders_ExtensionUtil as E;


/**
 * SoOrderContact entity.
 *
 * Provided by the simpleorders extension.
 *
 * @package Civi\Api4
 */
class SoOrderContact extends Generic\DAOEntity {
  use Generic\Traits\EntityBridge;

  public static function getInfo(): array {
    $info = parent::getInfo();
    $info['bridge_title'] = E::ts('ContactOrders');
    $info['bridge'] = [
      'contact_id' => [
        'to' => 'order_id',
        'description' => E::ts('Contacts on this order'),
      ],
      'order_id' => [
        'label' => E::ts('Orders'),
        'to' => 'contact_id',
        'description' => E::ts('Orders with this contact'),
      ],
    ];
    return $info;
  }

}
