<?php
namespace Civi\Api4;
use CRM_Simpleorders_ExtensionUtil as E;

/**
 * SoOrderItem entity.
 *
 * Provided by the simpleorders extension.
 *
 * @package Civi\Api4
 */
class SoOrderItem extends Generic\DAOEntity {
  use Generic\Traits\EntityBridge;

  public static function getInfo(): array {
    $info = parent::getInfo();
    $info['bridge_title'] = E::ts('OrderItems');
    $info['bridge'] = [
      'item_id' => [
        'to' => 'order_id',
        'description' => E::ts('Items on this order'),
      ],
      'order_id' => [
        'label' => E::ts('Items'),
        'to' => 'item_id',
        'description' => E::ts('Orders with this item'),
      ],
    ];
    return $info;
  }

}
