<?php
namespace Civi\Simpleorders;

use \Civi\Core\Event\GenericHookEvent;
use CRM_Simpleorders_ExtensionUtil as E;
/**
 * Class to handle the hooks for the simple orders extension
 *
 * @author Erik Hommel (CiviCooP) <erik.hommel@civicoop.org>
 * @license AGPL-3.0
 */
class HookHandler {
  /**
   * Process tab set hook: tab for orders
   *
   * @param GenericHookEvent $event
   * @return void
   */
  public static function processTabSet(GenericHookEvent $event): void {
    if ($event->tabsetName == 'civicrm/contact/view' && isset($event->context['contact_id'])) {
      $contactOrder = new \CRM_Simpleorders_BAO_SoOrderContact();
      if ($contactOrder->countContactOrders($event->context['contact_id']) > 0) {
        $event->tabs[] = [
          'id' => 'contact_so_orders',
          'url' => \CRM_Utils_System::url('civicrm/simpleorders/page/contactorder', [
            'reset' => TRUE,
            'id' => $event->context['contact_id'],
          ]),
          'title' => E::ts("Orders"),
          'count' => $contactOrder->countContactOrders($event->context['contact_id']),
          'weight' => 12
        ];
      }
    }
  }

}
