<?php
use CRM_Simpleorders_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_SoItem_Search',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'SoItem_Search',
        'label' => E::ts('SoItem Search'),
        'api_entity' => 'SoItem',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'name',
            'description',
            'item_type:label',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => [],
          'join' => [],
          'having' => [],
        ],
      ],
      'match' => ['name'],
    ],
  ],
  [
    'name' => 'SavedSearch_SoItem_Search_Table',
    'entity' => 'SearchDisplay',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'SoItem_Search_Table',
        'label' => E::ts('SoItem List'),
        'saved_search_id.name' => 'SoItem_Search',
        'type' => 'table',
        'settings' => [
          'description' => E::ts(NULL),
          'sort' => [],
          'limit' => 50,
          'pager' => [],
          'placeholder' => 5,
          'columns' => [
            [
              'type' => 'field',
              'key' => 'id',
              'dataType' => 'Integer',
              'label' => E::ts('Item ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'name',
              'dataType' => 'String',
              'label' => E::ts('Item Name'),
              'sortable' => TRUE,
              'editable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'description',
              'dataType' => 'Text',
              'label' => E::ts('Item Description'),
              'sortable' => TRUE,
              'editable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'item_type:label',
              'dataType' => 'String',
              'label' => E::ts('Item Type'),
              'sortable' => TRUE,
              'editable' => TRUE,
            ],
          ],
          'actions' => TRUE,
          'classes' => ['table', 'table-striped'],
          'toolbar' => [
            [
              'path' => 'civicrm/simpleorders/newitem',
              'icon' => 'fa-external-link',
              'text' => E::ts('Add item'),
              'style' => 'primary',
              'condition' => [],
              'task' => '',
              'entity' => '',
              'action' => '',
              'join' => '',
              'target' => 'crm-popup',
            ],
          ],
        ],
      ],
      'match' => [
        'saved_search_id',
        'name',
      ],
    ],
  ],
];
