<?php
use CRM_Simpleorders_ExtensionUtil as E;

return [
  'name' => 'SoItem',
  'table' => 'civicrm_so_item',
  'class' => 'CRM_Simpleorders_DAO_SoItem',
  'getInfo' => fn() => [
    'title' => E::ts('SoItem'),
    'title_plural' => E::ts('SoItems'),
    'description' => E::ts('Item Entity for Simple Order'),
    'log' => TRUE,
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique SoItem ID'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'name' => [
      'title' => E::ts('Item Name'),
      'sql_type' => 'varchar(128)',
      'input_type' => 'Text',
      'description' => E::ts('Item Name'),
    ],
    'description' => [
      'title' => E::ts('Item Description'),
      'sql_type' => 'text',
      'input_type' => 'TextArea',
      'description' => E::ts('Item Description'),
    ],
    'item_type' => [
      'title' => E::ts('Item Type'),
      'sql_type' => 'varchar(64)',
      'input_type' => 'Text',
      'description' => E::ts('Item Type'),
      'pseudoconstant' => [
        'option_group_name' => 'so_item_type',
      ],
    ],
  ],
  'getIndices' => fn() => [],
  'getPaths' => fn() => [],
];
