<?php
use CRM_Simpleorders_ExtensionUtil as E;

return [
  'name' => 'SoOrder',
  'table' => 'civicrm_so_order',
  'class' => 'CRM_Simpleorders_DAO_SoOrder',
  'getInfo' => fn() => [
    'title' => E::ts('SoOrder'),
    'title_plural' => E::ts('SoOrders'),
    'description' => E::ts('Orders (Simple Orders)'),
    'log' => TRUE,
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique SoOrder ID'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'campaign_id' => [
      'title' => E::ts('Campaign ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Campaign'),
      'entity_reference' => [
        'entity' => 'Campaign',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'order_date' => [
      'title' => E::ts('Order Date'),
      'sql_type' => 'date',
      'input_type' => 'Date',
      'description' => E::ts('Order Date'),
    ],
    'delivery_address' => [
      'title' => E::ts('Delivery Address'),
      'sql_type' => 'varchar(128)',
      'input_type' => 'Text',
      'description' => E::ts('Delivery Address'),
    ],
    'postcode' => [
      'title' => E::ts('Postcode'),
      'sql_type' => 'varchar(16)',
      'input_type' => 'Text',
      'description' => E::ts('Postcode'),
    ],
    'city' => [
      'title' => E::ts('City'),
      'sql_type' => 'varchar(128)',
      'input_type' => 'Text',
      'description' => E::ts('City'),
    ],
    'state_id' => [
      'title' => E::ts('State ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to State'),
      'entity_reference' => [
        'entity' => 'StateProvince',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'country_id' => [
      'title' => E::ts('Country ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Country'),
      'entity_reference' => [
        'entity' => 'Country',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'source' => [
      'title' => E::ts('Source'),
      'sql_type' => 'varchar(256)',
      'input_type' => 'Text',
      'description' => E::ts('Source'),
    ],
    'forwarded' => [
      'title' => E::ts('Forwarded'),
      'sql_type' => 'tinyint',
      'input_type' => 'Radio',
      'data_type' => 'Boolean',
      'description' => E::ts('Forwarded'),
    ],

  ],
  'getIndices' => fn() => [],
  'getPaths' => fn() => [],
];
