<?php
use CRM_Simpleorders_ExtensionUtil as E;

return [
  'name' => 'SoOrderContact',
  'table' => 'civicrm_so_order_contact',
  'class' => 'CRM_Simpleorders_DAO_SoOrderContact',
  'getInfo' => fn() => [
    'title' => E::ts('SoOrderContact'),
    'title_plural' => E::ts('SoOrderContacts'),
    'description' => E::ts('Link between Order and Contact (Simple Orders)'),
    'log' => TRUE,
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique SoOrderContact ID'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'order_id' => [
      'title' => E::ts('Order ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to SoOrder'),
      'entity_reference' => [
        'entity' => 'SoOrder',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'contact_id' => [
      'title' => E::ts('Contact ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Contact'),
      'entity_reference' => [
        'entity' => 'Contact',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'role' => [
      'title' => E::ts('Contact Role'),
      'sql_type' => 'varchar(64)',
      'input_type' => 'Text',
      'description' => E::ts('Contact Role'),
      'pseudoconstant' => [
        'option_group_name' => 'so_contact_role',
      ],
    ],
  ],
  'getIndices' => fn() => [],
  'getPaths' => fn() => [],
];
