<?php
use CRM_Simpleorders_ExtensionUtil as E;

return [
  'name' => 'SoOrderItem',
  'table' => 'civicrm_so_order_item',
  'class' => 'CRM_Simpleorders_DAO_SoOrderItem',
  'getInfo' => fn() => [
    'title' => E::ts('SoOrderItem'),
    'title_plural' => E::ts('SoOrderItems'),
    'description' => E::ts('Link between Order and Item (Simple Orders)'),
    'log' => TRUE,
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique SoOrderItem ID'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'order_id' => [
      'title' => E::ts('Order ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to SoOrder'),
      'entity_reference' => [
        'entity' => 'SoOrder',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'item_id' => [
      'title' => E::ts('Item ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to SoItem'),
      'entity_reference' => [
        'entity' => 'SoItem',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'quantity' => [
      'title' => E::ts("Quantity"),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'description' => E::ts("Quantity (SimpleOrders)"),
    ],
  ],
  'getIndices' => fn() => [],
  'getPaths' => fn() => [],
];
