<?php
use CRM_Simpleorders_ExtensionUtil as E;
/*
 +--------------------------------------------------------------------+
 | CiviCRM version 4.3                                                |
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC (c) 2004-2013                                |
 +--------------------------------------------------------------------+
 | This file is a part of CiviCRM.                                    |
 |                                                                    |
 | CiviCRM is free software; you can copy, modify, and distribute it  |
 | under the terms of the GNU Affero General Public License           |
 | Version 3, 19 November 2007 and the CiviCRM Licensing Exception.   |
 |                                                                    |
 | CiviCRM is distributed in the hope that it will be useful, but     |
 | WITHOUT ANY WARRANTY; without even the implied warranty of         |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
 | See the GNU Affero General Public License for more details.        |
 |                                                                    |
 | You should have received a copy of the GNU Affero General Public   |
 | License and the CiviCRM Licensing Exception along                  |
 | with this program; if not, contact CiviCRM LLC                     |
 | at info[AT]civicrm[DOT]org. If you have questions about the        |
 | GNU Affero General Public License or the licensing of CiviCRM,     |
 | see the CiviCRM license FAQ at http://civicrm.org/licensing        |
 +--------------------------------------------------------------------+
*/

/**
 *
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2013
 * $Id$
 *
 */
/*
 * Settings metadata file
 */

return [
  'simpleorders_first_contact' => [
    'name' => 'simpleorders_first_contact',
    'title' => E::ts('Role for the first contact on order'),
    'description' => E::ts('The role used for the first contact on the order'),
    'type' => 'String',
    'html_type' => 'select',
    'html_attributes' => [
      'class' => 'crm-select2',
      'multiple' => FALSE,
    ],
    'pseudoconstant' => [
      'callback' => 'CRM_Simpleorders_BAO_SoOrderContact::getContactRoleList',
    ],
    'add' => '5.7',
    'is_domain' => 1,
    'is_contact' => 0,
    'help_text' => E::ts('The role used for the first contact on order, for example the order role for the contact that placed the order'),
    'settings_pages' => ['simpleorders' => ['weight' => 10]],
  ],
  'simpleorders_second_contact' => [
    'name' => 'simpleorders_second_contact',
    'title' => E::ts('Role for the second contact on order'),
    'description' => E::ts('The role used for the second contact on the order'),
    'type' => 'String',
    'html_type' => 'select',
    'html_attributes' => [
      'class' => 'crm-select2',
      'multiple' => FALSE,
    ],
    'pseudoconstant' => [
      'callback' => 'CRM_Simpleorders_BAO_SoOrderContact::getContactRoleList',
    ],
    'add' => '5.7',
    'is_domain' => 1,
    'is_contact' => 0,
    'help_text' => E::ts('The role used for the second contact on order, for example the behalf role for the contact on whose behalf the order is placed'),
    'settings_pages' => ['simpleorders' => ['weight' => 15]],
  ],
  'simpleorders_use_state' => [
    'name' => 'simpleorders_use_state',
    'title' => E::ts('Use province/state for address?'),
    'description' => E::ts('Use province/state for address?'),
    'type' => 'Boolean',
    'html_type' => 'checkbox',
    'default' => FALSE,
    'add' => '5.7',
    'is_domain' => 1,
    'is_contact' => 0,
    'help_text' => E::ts('Should we be able to use province/state for the address?'),
    'settings_pages' => ['simpleorders' => ['weight' => 20]],
  ],
  'simpleorders_use_country' => [
    'name' => 'simpleorders_use_country',
    'title' => E::ts('Use country for address?'),
    'description' => E::ts('Use country for address?'),
    'type' => 'Boolean',
    'html_type' => 'checkbox',
    'default' => FALSE,
    'add' => '5.7',
    'is_domain' => 1,
    'is_contact' => 0,
    'help_text' => E::ts('Should we be able to use country for the address? Not required for example if only get orders from the default CiviCRM country.'),
    'settings_pages' => ['simpleorders' => ['weight' => 25]],
  ],

];
